Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251832 - Stabilization request for x11-base/xorg-server-1.5.3
Summary: Stabilization request for x11-base/xorg-server-1.5.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High enhancement (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
: 258419 261552 (view as bug list)
Depends on: 220797 225091 236983 244504 251093 251242 251827 255082 255686 256095 260325 263961 264982 266236
Blocks: 164468 196650 239045 242462 256603 260335 264862 264897
  Show dependency tree
 
Reported: 2008-12-21 09:34 UTC by Robert R. Russell
Modified: 2009-06-19 13:59 UTC (History)
60 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Xorg Xserver 1.5.3 Stabilization List v1 (x11.stable.list,2.82 KB, text/plain)
2009-02-24 14:58 UTC, Rémi Cardona
Details
List of ebuild versions (in my opinion) ok on amd64 (x11-working-packages-akh.txt,2.16 KB, text/plain)
2009-02-24 15:24 UTC, Andreas K. Hüttel
Details
Xorg Xserver 1.5.3 Stabilization List v2 (x11.stable.list,2.85 KB, text/plain)
2009-02-25 18:36 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v3 (x11.stable.list,2.88 KB, text/plain)
2009-02-26 13:04 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v4 (x11.stable.list,2.95 KB, text/plain)
2009-03-22 23:21 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v5 (x11.stable.list,2.96 KB, text/plain)
2009-03-29 23:33 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v5 (x11.stable.list,2.96 KB, text/plain)
2009-03-29 23:38 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v6 (x11.stable.list,2.97 KB, text/plain)
2009-03-30 15:00 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v6 with version numbers (x11.stable.list,2.59 KB, text/plain)
2009-04-01 14:03 UTC, Rémi Cardona
Details
Xorg Xserver 1.5.3 Stabilization List v7 with version numbers (x11.stable.list,3.75 KB, text/plain)
2009-04-05 18:34 UTC, Olivier Crete (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert R. Russell 2008-12-21 09:34:48 UTC
My current desktop system has an nVidia Corporation NV37GL [Quadro PCI-E
Series] (rev a2) graphics card which is running stably with
x11-base/xorg-server-1.5.3 (this is the version reported by eix that I have
installed, though it doesn't seem to exist in the portage tree) and
x11-drivers/xf86-video-nv-2.1.12. I can't make any guarantees that these two
versions will play well with each other on somebody elses system or that my last
problem, random lock ups, will happen if x11-base/xorg-server-1.3.0.0-r6 is
used instead.


Reproducible: Always
Comment 1 Rémi Cardona gentoo-dev 2008-12-23 19:30:53 UTC
Let's go with 1.5.3 instead, however I'd want to fix bug #251242 first. If we can't fix it, we can go with 1.5.3 without the EXA backports.

Thanks
Comment 2 Andreas Sturmlechner gentoo-dev 2009-01-20 12:37:52 UTC
[X] Vote for stabilization

It is a big step forward and almost kills off that ancient xorg.conf. I don't have any errors to report with nvidia-drivers and xf86-video-ati.

Now which bugs remain for xorg-x11-7.4 to solve until it can be thought of being marked stable?
Comment 3 Donnie Berkholz (RETIRED) gentoo-dev 2009-01-20 19:02:44 UTC
There's the HAL issue. Devices that identify only as touchpads and not mice will not be recognized by evdev because of the current state of 10-x11-input.fdi. That needs a HAL patch.
Comment 4 Mike Gualtieri 2009-01-28 05:50:08 UTC
Vote here for stabilization.  Just upgraded to xorg-server-1.5.3-r1 and xorg-x11-7.4 and things went very smooth.  No touchpad issues for me.

I needed to use the xf86-video-intel-1.5.* drivers.  Older versions of the intel drivers wouldn't compile for me.  The current ebuild has version >=2.4.2-r1, which should be updated to >=1.5.1-r1.
Comment 5 Will B. 2009-02-05 02:19:10 UTC
I have a HAL problem as well where my ALPS touchpad is only being recognized as a mouse.  "synclient -m" only provides the initial line of output for me - guessing it's something with the driver.  Works fine with the current stable version of xorg-server
Comment 6 Rémi Cardona gentoo-dev 2009-02-05 07:16:22 UTC
(In reply to comment #5)
> I have a HAL problem as well where my ALPS touchpad is only being recognized as
> a mouse.  "synclient -m" only provides the initial line of output for me -
> guessing it's something with the driver.  Works fine with the current stable
> version of xorg-server

Please don't hijack this bug but please do open another one.

Thanks
Comment 7 Will B. 2009-02-06 01:09:01 UTC
(In reply to comment #6)
> 
> Please don't hijack this bug but please do open another one.
> 
> Thanks
> 

My apologies - was more of a reinforcement for comment #3 which mentioned HAL issues.  I had no intentions of hijacking.
Comment 8 Andreas K. Hüttel gentoo-dev 2009-02-09 20:37:07 UTC
FYI, 

* Recent kernels (>=2.6.26?) require new ati-drivers (else the binary driver glue code does not compile)
* New enough ati-drivers require xorg-server-1.5

So it would really be nice if xorg-server-1.5 at some point was considered stable. Having single packages from unstable is one thing, switching something as big and central as X is something else entirely...
Comment 9 R Bar-On 2009-02-15 15:28:04 UTC
indeed, plz stabilize! 
Comment 10 Rémi Cardona gentoo-dev 2009-02-24 14:58:52 UTC
Created attachment 183018 [details]
Xorg Xserver 1.5.3 Stabilization List v1

Here's the list, it should be complete. I'll try to find "stable" testers to see what breaks.

Thanks
Comment 11 Andreas K. Hüttel gentoo-dev 2009-02-24 15:24:29 UTC
Created attachment 183021 [details]
List of ebuild versions (in my opinion) ok on amd64

I'm running xorg-server-1.5.3 on an otherwise stable amd64 system, with the minimum set of testing packages that I could find. 

Detailed package versions (w/r to x11.stable.list) see attachment. 
No problems so far. 

(Apart from the usual hassling getting fglrx and compiz to work, but it's fine now.)
Comment 12 Mike Gualtieri 2009-02-24 15:37:04 UTC
(In reply to comment #10)
> Created an attachment (id=183018) [edit]
> Xorg Xserver 1.5.3 Stabilization List v1
> 
> Here's the list, it should be complete. I'll try to find "stable" testers to
> see what breaks.
> 
> Thanks
> 

Are there specific package versions you would like us to test?  I pulled my xorg-1.5.3 package list to unmask from the ebuild about a month ago, so I have most, if not all, of those packages installed.  Things are running very well here using the intel drivers 1.5.x and synaptics touchpad.  I haven't tried the 1.6 intel drivers yet.

I have a few other unmasked packages in my packages.keywords, but nothing that should impact xorg.
Comment 13 Rémi Cardona gentoo-dev 2009-02-24 15:53:43 UTC
The idea is to test the latest ~arch ebuilds, that's why I intentionally left out version numbers. This should should just be copied as-is into /etc/portage/package.keywords

Glad to know things have been working fine for the both of you. Feel free to file bugs for any issues you might have.

Thanks
Comment 14 Arne Babenhauserheide 2009-02-25 10:45:29 UTC
Since I switched to 1.5.3-r2 using the testing radeon driver (x11-drivers/xf86-video-ati-6.10.0) (with an X1300/r500) I experience random lockups (amd64) which can only be resolved with the power button. 

http://bugs.gentoo.org/show_bug.cgi?id=259991

I don't yet use all packages from the stable list. Instead I simply checked which packages xorg 1.5.3 requires and keyworded those. 

I don't yet use mesa-7.3, since they say that 7.3 is a development release and will get fixes in 7.4 - for stable X we should stick with 7.2. 
Comment 15 Rémi Cardona gentoo-dev 2009-02-25 10:59:46 UTC
(In reply to comment #14)
> I don't yet use all packages from the stable list. Instead I simply checked
> which packages xorg 1.5.3 requires and keyworded those. 

Please try all the packages in the list instead. I'd much rather people tested the same set of packages rather than a bigger mess.

> I don't yet use mesa-7.3, since they say that 7.3 is a development release and
> will get fixes in 7.4 - for stable X we should stick with 7.2. 

Please do try mesa 7.3, don't let the odd-numbered release number fool you :) It should be quite stable. I'll try to push a 7.4 snapshot soon to gather some more feedback on this.

And for all who are tempted to comment on this thread, please open new bugs instead as I'd like to keep the overall noise low so we can better focus on the stabilization itself.

Thanks
Comment 16 Andrey Vihrov 2009-02-25 18:28:05 UTC
Hi,

x11-drivers/xf86-input-synaptics is probably missing in the list.

--
Andrey
Comment 17 Rémi Cardona gentoo-dev 2009-02-25 18:36:02 UTC
Created attachment 183169 [details]
Xorg Xserver 1.5.3 Stabilization List v2

Nice catch, Andrey. Here's an updated list.

Thanks
Comment 18 Arne Babenhauserheide 2009-02-25 18:39:41 UTC
After putting the stable list v1 into package.keywords, I updated the following packets: 

x11-proto/dri2proto-1.99.3
media-libs/mesa-7.3
x11-libs/libSM-1.1.0
x11-libs/libXrandr-1.2.3
x11-libs/libXft-2.1.13
x11-libs/libXv-1.0.4
x11-proto/printproto-1.0.4
x11-apps/xev-1.0.3
x11-libs/libXScrnSaver-1.1.3
x11-libs/libXinerama-1.0.3
x11-apps/xkbcomp-1.0.5
x11-apps/xrandr-1.2.3
x11-wm/twm-1.0.4
x11-terms/xterm-241
x11-apps/mesa-progs-7.3

All updates did build. 

X still runs with the same quirks I had before building the packages (flickering and short periods of garbled output when logging into KDE4.2, xv video doesn't work, I actually have hardware accelleration :-) (ATI X1300)). 

I didn't yet experience a full crash with the new drivers. 

I don't have x11-drivers/xf86-input-synaptics installed, so this shoudl fit stable.list v2, too. 
Comment 19 Thomas Bettler 2009-02-26 00:44:51 UTC
I tried to update.
Compiling works.
However X won't start after: #260325

X wont start: Couldn't bind memory for BO front buffer
Comment 20 Rémi Cardona gentoo-dev 2009-02-26 00:55:07 UTC
Please stop commenting here, if you have any issues, please open *new* bugs.

Thanks
Comment 21 Thomas Bettler 2009-02-26 07:46:49 UTC
appending lspci for completeness.

# lspci
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
05:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5782 Gigabit Ethernet (rev 03)
05:09.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 6c)
05:0a.0 Ethernet controller: 3Com Corporation 3cSOHO100-TX Hurricane (rev 30)
Comment 22 Thomas Bettler 2009-02-26 07:47:33 UTC
Hmm. Im so sorry. was wrong bug.
Comment 23 Tobias Roeser 2009-02-26 10:02:37 UTC
I was just wondering, why the x11.stable.list does not contain explicit version numbers for packages (e.g. "=x11-libs/libdrm-2.4.4") but instead make all version of a package stabe (x11-libs/libdrm).

The un-versioned x11.stable.list may result in wrong merged package versions for all those users, who have overlays like the x11 overlay installed. 
Comment 24 Rémi Cardona gentoo-dev 2009-02-26 10:37:33 UTC
(In reply to comment #23)
> I was just wondering, why the x11.stable.list does not contain explicit version
> numbers for packages (e.g. "=x11-libs/libdrm-2.4.4") but instead make all
> version of a package stabe (x11-libs/libdrm).

Because I want users to try the latest ~arch but unmasked version of what we
have in portage. If we fix bugs in -rX ebuilds or if upstream comes up with bug
fix releases (like libdrm-2.4.5 for instance), I want users to try those
versions too.

> The un-versioned x11.stable.list may result in wrong merged package versions
> for all those users, who have overlays like the x11 overlay installed. 

If you're a stable user *and* an x11 overlay user, you probably know what
you're doing. ;)

This list is meant for stable users and the final list given to arch teams will
of course have version numbers.

Thanks
Comment 25 Atanas Kamburov 2009-02-26 10:54:47 UTC
Hi! I emerged xorg-server-1.5.3 after appending the above list to /etc/portage/package.keywords, and so far haven't experienced any problems. I can watch films with mplayer, play 3d games, watch tv with tvtime.
My video card is an onboard nvidia  "00:12.0 VGA compatible controller: nVidia Corporation GeForce 7025 (rev a2)" and I am using the latest ~amd64 nvidia-drivers.

The only (little) annoyance is that the xorg server seems to disregard the following xorg.conf section:

Section "InputDevice"
    Identifier     "Keyboard1"
    Driver         "kbd"
    Option         "AutoRepeat" "500 30"
    Option         "XkbRules" "xorg"
    Option         "XkbModel" "pc105"
    Option         "XkbLayout" "bg"
EndSection

and my keyboard layout is always "us" at X start... Will google a bit to see how I can fix that.
Comment 26 Tobias Roeser 2009-02-26 11:18:23 UTC
(In reply to comment #24)
> (In reply to comment #23)
> > I was just wondering, why the x11.stable.list does not contain explicit version
> > numbers for packages (e.g. "=x11-libs/libdrm-2.4.4") but instead make all
> > version of a package stabe (x11-libs/libdrm).
> 
> Because I want users to try the latest ~arch but unmasked version of what we
> have in portage. If we fix bugs in -rX ebuilds or if upstream comes up with bug
> fix releases (like libdrm-2.4.5 for instance), I want users to try those
> versions too.
> 
> > The un-versioned x11.stable.list may result in wrong merged package versions
> > for all those users, who have overlays like the x11 overlay installed. 
> 
> If you're a stable user *and* an x11 overlay user, you probably know what
> you're doing. ;)
> 
> This list is meant for stable users and the final list given to arch teams will
> of course have version numbers.
> 
> Thanks
> 

Ok. I was just curious. It is absolutely your decision which I respect.

Maybe to get a good compromise one could use version ranges (<=x11-libs/libdrm-2.5). So newer version like -rX and micro releases would be possible, but major updated not. 

As a possibly scenario the not so experienced stable user, who wants to help with stabilizing xorg server, forgets to remove the keywords file and will later merge keyworded packages which are not be part of the stabilization set.

Nevertheless feel free to ignore this comment. Sorry, for hijacking this ticket.

Tobias
Comment 27 Andreas Sturmlechner gentoo-dev 2009-02-26 11:39:19 UTC
Applying x11.stable.list got me upgrading 16 packages I hadn't thought of before. After successful build my system remains 100% stable as it was before. I'm on amd64 but with quite a bunch of ~arch keywords though which might degrade the worth of my statement concerning stabilization.

In short: gcc-4.3.2-r3, glibc-2.9-20081201, nvidia-drivers-180.35, hal-0.5.11-r8, udev-135-r4

Mouse and keyboard input is completely managed by hal and xf86-input-evdev-2.1.2 and just works great.
Comment 28 Andreas Sturmlechner gentoo-dev 2009-02-26 11:46:28 UTC
(In reply to comment #25) 
> and my keyboard layout is always "us" at X start... Will google a bit to see
> how I can fix that.
> 

If you built xorg-server with +hal, you might want to remove that input section from your xorg.conf and take a look into '/etc/hal/fdi/policy/10-x11-input.fdi'. That's the new place to configure your mouse and keyboard.
Comment 29 Pacho Ramos gentoo-dev 2009-02-26 11:50:14 UTC
(In reply to comment #27)
> Mouse and keyboard input is completely managed by hal and
> xf86-input-evdev-2.1.2 and just works great.
> 

As seems that evdev is the preferred (or, at least, the simpler) way for hal+linux users, maybe xorg-server ebuild could suggest adding evdev to INPUT_DEVICES when hal USE flag is enabled...
Comment 30 Atanas Kamburov 2009-02-26 11:59:34 UTC
yes, I changed the layout to "de" in /etc/hal/fdi/policy/10-x11-input.fdi (which is a copy of /usr/share/hal/fdi/policy/10osvendor/10-keymap.fdi), and also changed it in the original. Still no success. I am just talking with a couple of guys on #gentoo-desktop, let's see what they can say.


(In reply to comment #28)
> (In reply to comment #25) 
> > and my keyboard layout is always "us" at X start... Will google a bit to see
> > how I can fix that.
> > 
> 
> If you built xorg-server with +hal, you might want to remove that input section
> from your xorg.conf and take a look into
> '/etc/hal/fdi/policy/10-x11-input.fdi'. That's the new place to configure your
> mouse and keyboard.
> 

Comment 31 Pacho Ramos gentoo-dev 2009-02-26 12:07:15 UTC
Stable list is missing x11-drivers/xf86-video-fbdev:

!!! All ebuilds that could satisfy ">=x11-drivers/xf86-video-fbdev-0.4.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-drivers/xf86-video-fbdev-0.4.0 (masked by: ~amd64 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "x11-base/xorg-server-1.5.3-r2" [ebuild])
(dependency required by "x11-base/xorg-x11-7.2" [installed])
(dependency required by "world" [argument])

Also is missing newer xorg-x11 meta ebuild, but maybe this is intentional :-/
Comment 32 Michel Lang 2009-02-26 13:01:10 UTC
Also on almost stable amd64 (gcc-4.3, gentoo-sources-2.6.28). 

Everything compiled fine. I've experienced some hassle with evdev/hal, but after removing all input sections in Xorg.conf everything works just fine. I'm using the radeonhd driver. 

My working /etc/hal/fdi/policy/10-x11-input.fdi using german (de) keyboard layout and logiultrax-model:

<?xml version="1.0" encoding="ISO-8859-1"?>
<deviceinfo version="0.2">
  <device>
    <match key="info.capabilities" contains="input.mouse">
      <merge key="input.x11_driver" type="string">evdev</merge>
    </match>

    <match key="info.capabilities" contains="input.keys">
      <merge key="input.x11_driver" type="string">evdev</merge>
      <merge key="input.xkb.model" type="string">logiultrax</merge>
      <merge key="input.xkb.layout" type="string">de</merge>
    </match>
  </device>
</deviceinfo>
Comment 33 Rémi Cardona gentoo-dev 2009-02-26 13:04:38 UTC
Created attachment 183253 [details]
Xorg Xserver 1.5.3 Stabilization List v3

(In reply to comment #31)
> Stable list is missing x11-drivers/xf86-video-fbdev:

Done, here's an updated list.

> Also is missing newer xorg-x11 meta ebuild, but maybe this is intentional :-/

Indeed, the meta will be updated later. It's just a convenience when installing X for the first time anyway.

Thanks
Comment 34 Dustin Polke 2009-02-26 13:16:40 UTC
x11-drivers/xf86-video-{v4l,fbdev} are missing as well on the list I guess.

BR,
Dustin
Comment 35 Pacho Ramos gentoo-dev 2009-02-26 13:35:13 UTC
(In reply to comment #28)
> (In reply to comment #25) 
> > and my keyboard layout is always "us" at X start... Will google a bit to see
> > how I can fix that.
> > 
> 
> If you built xorg-server with +hal, you might want to remove that input section
> from your xorg.conf and take a look into
> '/etc/hal/fdi/policy/10-x11-input.fdi'. That's the new place to configure your
> mouse and keyboard.
>
Hopefully, when bug 225091 is finally resolved, this transition will be done automatically, for now, you can follow what xf86-input-evdev-2.1.3.ebuild suggests:

                elog "If your XKB (keyboard settings) stopped working,"
                elog "you may uninstall this driver or move your XKB configuration."
                elog "Download an example from http://dev.gentoo.org/~compnerd/temp/hal-config-examples/"
                elog "(these will be installed with sys-apps/hal soon),"
                elog "and drop it into /etc/hal/fdi/policy/"

Comment 36 Pacho Ramos gentoo-dev 2009-02-26 13:47:02 UTC
Just after updating to new X version, I have had to reconfigure my special keys using gnome-keybinding-properties (I am under gnome) because shortcuts have changed from "0xed" and similar to "XF86Audio*", Is it the normal behavior? 

I have also lost nvidia 3D acceleration, but I am currently investigating it :-(
Comment 37 Andrey Vihrov 2009-02-26 13:57:37 UTC
(In reply to comment #36)
> Just after updating to new X version, I have had to reconfigure my special keys
> using gnome-keybinding-properties (I am under gnome) because shortcuts have
> changed from "0xed" and similar to "XF86Audio*", Is it the normal behavior? 

Yes.
Comment 38 Rémi Cardona gentoo-dev 2009-02-26 13:59:06 UTC
(In reply to comment #34)
> x11-drivers/xf86-video-{v4l,fbdev} are missing as well on the list I guess.

fbdev is in the new list I just posted, and v4l is unmaintained. It's not part
of the list.

(In reply to comment #35)
> Hopefully, when bug 225091 is finally resolved, this transition will be done
> automatically, for now, you can follow what xf86-input-evdev-2.1.3.ebuild
> suggests:

This bug is resolved: we won't migrate to HAL automatically. Users will have to
take care of it themselves if they want input devices from HAL.

>                 elog "If your XKB (keyboard settings) stopped working,"
>                 elog "you may uninstall this driver or move your XKB
> configuration."
>                 elog "Download an example from
> http://dev.gentoo.org/~compnerd/temp/hal-config-examples/"
>                 elog "(these will be installed with sys-apps/hal soon),"
>                 elog "and drop it into /etc/hal/fdi/policy/"

I think those files are shipped with HAL now, we should probably remove the
elog message.

(In reply to comment #36)
> Just after updating to new X version, I have had to reconfigure my special keys
> using gnome-keybinding-properties (I am under gnome) because shortcuts have
> changed from "0xed" and similar to "XF86Audio*", Is it the normal behavior? 

You might want to reset Gnome keyboard properties before doing any fancy stuff.
It could save you a lot of headaches down the road.

> I have also lost nvidia 3D acceleration, but I am currently investigating it

NVidia drivers are not the X team's responsibility. All I know is that there
are updated drivers (even for older unsupported cards) that work fine with Xorg
1.5.3.

Please open new bugs if you have issues.

*NOTE* : please stop commenting here about bugs or configuration issues. I want
to keep this bug *on* *topic* which is the stabilization list. *Nothing*
*else*.

Thanks
Comment 39 Pacho Ramos gentoo-dev 2009-02-26 14:05:43 UTC
(In reply to comment #36)
> I have also lost nvidia 3D acceleration, but I am currently investigating it
> :-(
> 

Solved after rerunning "eselect opengl set nvidia", as I also updated nvidia-driver while updating the other xorg stuff, I don't know who is the culprit as some other times in the past I have also suffered the lost of nvidia glx when updating having to manually re-enable it(In reply to comment #37)

> (In reply to comment #36)
> Yes.
> 
Thanks :-)

(In reply to comment #38)
> This bug is resolved: we won't migrate to HAL automatically. Users will have to
> take care of it themselves if they want input devices from HAL.

Sad to hear it, but ok :-|

> I think those files are shipped with HAL now, we should probably remove the
> elog message.
> 

No, they are not being shipped (at least with hal-0.5.11-r8)

> You might want to reset Gnome keyboard properties before doing any fancy stuff.
> It could save you a lot of headaches down the road.

Is there any easy way of resetting all of them, for now, I simply manually reverted each key combination but, if there is an easier way, would be nice to know about it :-)

> *NOTE* : please stop commenting here about bugs or configuration issues. I want
> to keep this bug *on* *topic* which is the stabilization list. *Nothing*
> *else*.
> 
> Thanks
> 

OK, sorry for the invonvenience
Comment 40 Andreas K. Hüttel gentoo-dev 2009-02-26 17:08:15 UTC
Everything's running fine here on amd64 with Stabilization List v3...
Comment 41 Arne Babenhauserheide 2009-02-26 19:05:45 UTC
Please add 259991 to the dependencies, since I still get the freezes - and I think they are from the new radeon driver (xf86-video-ati). I began getting these freezes after upgrading to 6.10.0 (the downside of getting good graphics performance - that's why I don't go back :) ). 
Comment 42 Mark D. 2009-02-27 04:52:05 UTC
Everything's fine for me on amd64 & nvidia with Stabilization List v3
Comment 43 Donnie Berkholz (RETIRED) gentoo-dev 2009-02-27 08:42:30 UTC
(In reply to comment #39)
> (In reply to comment #36)
> > I think those files are shipped with HAL now, we should probably remove the
> > elog message.
> > 
> 
> No, they are not being shipped (at least with hal-0.5.11-r8)

comet $ ls /usr/share/doc/hal-0.5.11-r8/
AUTHORS.bz2                  use-kbd-driver.fdi.bz2
ChangeLog.bz2                use-mouse-driver.fdi.bz2
NEWS.bz2                     use-multiple-layouts.fdi.bz2
README.bz2                   use-multiple-layouts-with-kbd.fdi.bz2
use-estonian-layout.fdi.bz2


You need USE=X.
Comment 44 Pacho Ramos gentoo-dev 2009-02-27 10:16:32 UTC
I didn't know there wer provided under /usr/share/doc, thanks :-)
Comment 45 Simon Siemonsma 2009-02-27 13:46:23 UTC
(In reply to comment #33)
> Created an attachment (id=183253) [edit]
> Xorg Xserver 1.5.3 Stabilization List v3
> 
please add x11-drivers/linuxwacom.

without absolute positioning doesn't work.
with the new version everything works fine, despite the warning that you need at least gcc 4.2.
Comment 46 Pacho Ramos gentoo-dev 2009-02-27 18:53:55 UTC
Seems that a newer tslib is required:
!!! All ebuilds that could satisfy "x11-libs/tslib" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/tslib-1.0-r1 (masked by: ~amd64 keyword)
- x11-libs/tslib-1.0 (masked by: ~amd64 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "x11-base/xorg-server-1.5.3-r2" [ebuild])
Comment 47 Pacho Ramos gentoo-dev 2009-02-27 19:11:48 UTC
And also: ">=x11-drivers/xf86-input-mutouch-1.2.1" , ">=x11-drivers/xf86-input-hyperpen-1.2.0", ">=x11-drivers/xf86-input-fpit-1.2.0", ">=x11-drivers/xf86-input-summa-1.2.0", ">=x11-drivers/xf86-input-elographics-1.2.2", ">=x11-drivers/xf86-input-citron-2.2.1", ">=x11-drivers/xf86-input-microtouch-1.2.0", ">=x11-drivers/xf86-input-jamstudio-1.2.0", ">=x11-drivers/xf86-input-dynapro-1.1.2", ">=x11-drivers/xf86-input-magellan-1.2.0", ">=x11-drivers/xf86-input-calcomp-1.1.2",  ">=x11-drivers/xf86-input-elo2300-1.1.2" , ">=x11-drivers/xf86-input-penmount-1.3.0", ">=x11-drivers/xf86-input-dmc-1.1.2", ">=x11-drivers/xf86-input-digitaledge-1.1.1", ">=x11-drivers/xf86-input-spaceorb-1.1.1", ">=x11-drivers/xf86-input-palmax-1.2.0", "x11-drivers/xf86-input-tslib", ">=x11-drivers/xf86-input-tek4957-1.2.0"

">=x11-drivers/xf86-video-voodoo-1.2.0" , ">=x11-drivers/xf86-video-sis-0.10.0", ">=x11-drivers/xf86-video-s3virge-1.10.1" , ">=x11-drivers/xf86-video-rendition-4.2.0", ">=x11-drivers/xf86-video-cirrus-1.2.1", ">=x11-drivers/ati-drivers-8.552-r2", ">=x11-drivers/xf86-video-apm-1.2.0", ">=x11-drivers/xf86-video-v4l-0.2.0" (if this is unmaintained maybe USE flag should be dropped), ">=x11-drivers/xf86-video-sisusb-0.9.0", ">=x11-drivers/xf86-video-siliconmotion-1.6.0" , ">=x11-drivers/xf86-video-s3-0.6.0", ">=x11-drivers/xf86-video-ark-0.7.0"

Comment 48 Rémi Cardona gentoo-dev 2009-02-27 19:26:43 UTC
Those are all more or less unmaintained, that's why they didn't make it on the list. We're probably going to drop the USE flags from xorg-server at some point. 

The stabilization list is rather conservative when it comes to drivers. A lot of them are known to be broken (not to mention unused) and so I'd like to use the stabilization as a good opportunity to do some clean-ups.

As a comparison, here are the X11 drivers that will be shipped in the next Ubuntu : http://packages.ubuntu.com/jaunty/x11/#xserver-xorg-input-acecad

Fedora on the other hand seems to shipping a lot more drivers. I'll gladly add more if I get ever get paid to maintain them ;)

Thanks
Comment 49 Pacho Ramos gentoo-dev 2009-02-27 21:17:50 UTC
From my point of view, bug 236983 should block this one. I am also affected by it and attach fdi file provided in bug report fixes the issues

Thanks
Comment 50 Mike Gualtieri 2009-03-02 20:35:46 UTC
I updated to v3 of the stabilization list this weekend, and after a few days of use I haven't had any problems.

Currently using:
x11-base/xorg-server-1.5.3-r2
x11-drivers/xf86-video-intel-2.6.1
x11-drivers/xf86-input-synaptics-1.0.0

Just a note... I don't use tap click for synaptics, but I do have the Vertical Edge Scrollbar working fine.
Comment 51 Andrey Vihrov 2009-03-02 20:42:29 UTC
Ah, yes, forgot to tell here: installed it a few days ago on stable amd64, compilation went fine, have been running it since then, haven't seen any issues (except some minor). The only thing that really annoys me is bug #260627.
Comment 52 Roland Stadtmueller 2009-03-04 05:51:22 UTC
Works fine on my amd64 with ati-drivers-8.582. I needed to add x11-drivers/xf86-video-v4l 
to x11.stable.list, though. Additionally, i needed to emerge evdev (as documented)
Comment 53 Lori 2009-03-04 11:02:29 UTC
Using x11.stable.list we get x11-libs/libXrender-0.9.4 and x11-proto/renderproto-0.9.3. This leads to compilation errors for xulrunner (at least). See bug #259471.
Comment 54 Rémi Cardona gentoo-dev 2009-03-04 12:35:35 UTC
(In reply to comment #53)
> Using x11.stable.list we get x11-libs/libXrender-0.9.4 and
> x11-proto/renderproto-0.9.3. This leads to compilation errors for xulrunner (at
> least). See bug #259471.

Damned, I forgot to take care of this one. Thanks for the reminder, I'll look into it ASAP.
Comment 55 Donnie Berkholz (RETIRED) gentoo-dev 2009-03-06 21:55:00 UTC
Remi,

Could you look into getting some set of patches to build against current libXfont in here? As it stands, I'm blocked from adding libXfont 1.4 to the tree.
Comment 56 Rémi Cardona gentoo-dev 2009-03-07 11:39:54 UTC
(In reply to comment #55)
> Could you look into getting some set of patches to build against current
> libXfont in here? As it stands, I'm blocked from adding libXfont 1.4 to the
> tree.

I've just pushed xorg-server 1.5.3-r3 to allow this. It seems to Work For Me (tm) but it could definitely use a little more testing.

Thanks
Comment 57 Rémi Cardona gentoo-dev 2009-03-07 13:24:07 UTC
*** Bug 261552 has been marked as a duplicate of this bug. ***
Comment 58 Andreas Sturmlechner gentoo-dev 2009-03-11 10:51:50 UTC
Any plans to make use of slots and EAPI-2? The stabilization list would make a lot of sense if we could just stick a :7.4 at every package. Would be easier to recommend to all those poor KDE4.2 beginners too which already depend on xorg-server-1.5.3.
Comment 59 Rémi Cardona gentoo-dev 2009-03-11 10:56:41 UTC
(In reply to comment #58)
> Any plans to make use of slots and EAPI-2? The stabilization list would make a
> lot of sense if we could just stick a :7.4 at every package. Would be easier to
> recommend to all those poor KDE4.2 beginners too which already depend on
> xorg-server-1.5.3.

1) maintenance nightmare for us
2) none of the packages are parallel-installable
3) most packages are supposed to work with multiple versions of the server

So, for all those reasons (and probably a few more I can't think of), there will be no slotting of Xorg packages.

Thanks
Comment 60 Andreas Sturmlechner gentoo-dev 2009-03-11 11:29:21 UTC
Agreed then, thanks for the quick reply. ;)
Comment 61 Roland Ramthun 2009-03-13 17:36:24 UTC
Here bug #260287 interrupted the upgrade, but as this is not a bug in the X server itself, but rather the pixman ebuild, it doesn't block stabilization.
Everything else went fine (X86, GMA X4500HD, evdev + HAL).
Comment 62 Christian B. 2009-03-13 22:48:18 UTC
Any thoughts about stabilizing this soon?
1.6.0 is already out there, 1.4* not stabilized... doesn't last any longer and debian stable is more recent than gentoo...
Comment 63 Rémi Cardona gentoo-dev 2009-03-13 22:59:56 UTC
(In reply to comment #62)
> Any thoughts about stabilizing this soon?
> 1.6.0 is already out there, 1.4* not stabilized... doesn't last any longer and
> debian stable is more recent than gentoo...

Wow, thanks for the pep talk, I really appreciate it.
Comment 64 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-03-14 15:38:46 UTC
(In reply to comment #63)
> (In reply to comment #62)
> > Any thoughts about stabilizing this soon?
> > 1.6.0 is already out there, 1.4* not stabilized... doesn't last any longer and
> > debian stable is more recent than gentoo...
> 
> Wow, thanks for the pep talk, I really appreciate it.
> 

Translation: Don't comment unless you have something constructive to add to the conversation. Anything else is pure StopEnergy(TM).

Please be patient, we're working on it.
Comment 65 P Purkayastha 2009-03-16 04:58:11 UTC
I switched to xorg-server-1.5.3 using the v3 of the list. It has been about 8 days since that switch and everything seems stable (as long as composite is not used). This is on a x86 system on T61 with nvidia graphics.
Comment 66 Arjan Schrijver 2009-03-20 07:55:24 UTC
Switched to v3 also with almost no problems. The synaptics driver wasn't rebuilt, so it didn't work after upgrading X. Perhaps a solution is to add x11-drivers/xf86-input-synaptics-1.0.0-r1 and make it depend on >=x11-base/xorg-server-1.5.3 ? That way it will be rebuilt after building X 1.5.3.
Apart from that problem, everything including composite works perfectly.
Comment 67 Andreas Sturmlechner gentoo-dev 2009-03-22 20:47:04 UTC
(In reply to comment #66)
> Switched to v3 also with almost no problems. The synaptics driver wasn't
> rebuilt, so it didn't work after upgrading X. Perhaps a solution is to add
> x11-drivers/xf86-input-synaptics-1.0.0-r1 and make it depend on
> >=x11-base/xorg-server-1.5.3 ? That way it will be rebuilt after building X
> 1.5.3.
> Apart from that problem, everything including composite works perfectly.
> 

At the end of emerge xorg-server it tells you to rebuild all your x11-drivers/ packages, people should really start to read that. ;)
Comment 68 Rémi Cardona gentoo-dev 2009-03-22 23:21:57 UTC
Created attachment 185916 [details]
Xorg Xserver 1.5.3 Stabilization List v4

This list only add tslib, xf86-input-tslib and linuxwacom.

That's the final list for arch teams, which I'll be CCing in a minute.
Comment 69 Rémi Cardona gentoo-dev 2009-03-22 23:30:57 UTC
Hi arches,

I'm CCing you guys to give you a heads up on the Xorg stabilization.

The "x11.stable.list" attachment contains the list of packages we'd like to see stabilized. Right now, there are no version numbers because I wanted tester to try the latest ~arch version.

I don't really know how you guys will handle this, but if you could somehow start build testing all of this and give me some feedback, I'd appreciate it.

I'll give you all the final stabilization list with target arches for each package (with a specified version number) within a day or two.

Barring any major road block, I'd like to get this stabilization done soon so we can start on putting Xorg 1.6 in portage.

Thanks in advance for all your work :)
Comment 70 Ján Bednár 2009-03-23 07:17:24 UTC
Hi,
I have switched to xorg-server-1.5.3 using the x11.stable.list-v3 about 10 days ago.
I'm running my two machines (x86 and amd64, both ATI graphics) with no problems.
Looking forward for stabilization.
Comment 71 Roland Ramthun 2009-03-23 17:02:08 UTC
I have several stable installations running with the v3 list for > 1 week with no problems.
2x x86, radeonhd (X1900XT, X1650)
1x x86, radeon (X800)
2x x86, intel (X3100, X4500)
1x amd64, nv (FX5200)
Comment 72 Opportunist 2009-03-23 17:11:13 UTC
confirm

amd64, nv works great
Comment 73 Arne Babenhauserheide 2009-03-24 10:36:38 UTC
amd64, x11-drivers/xf86-video-ati-0.12.1, still random freezes. 

-> http://bugs.gentoo.org/show_bug.cgi?id=259991
Comment 74 Mike Gualtieri 2009-03-24 14:48:16 UTC
It was mentioned above that a few of the drivers that are old / unmaintained won't be marked for stable on the xorg-server update, including the sis drivers.  I have two machines that use the sis chipset, so I decided to build version 0.10.1 against xorg-server-1.5 anyway, and so far they seem to be performing well.

The sis drivers are old but they might be a good candidate to add to the stable list.

My intel machine has still been running rock solid using stable-list v3.  I'll try an update to v4 soon.
Comment 75 Doug Goldstein gentoo-dev 2009-03-24 15:41:49 UTC
Remi,

It'd be nice if your list contained version numbers unless in every single situation you're looking for the latest version in the tree to go stable.

That being said, I'm running the v3 list on my stable amd64 machine and will gladly mark the subset that I am currently using stable when I return from my business trip.
Comment 76 Rémi Cardona gentoo-dev 2009-03-24 16:16:07 UTC
(In reply to comment #74)
> The sis drivers are old but they might be a good candidate to add to the stable
> list.

Noted, maybe we'll do those later on. They're not our primary focus at the moment.

> My intel machine has still been running rock solid using stable-list v3.  I'll
> try an update to v4 soon.

Not much has changed. See what I wrote in comment #68.

(In reply to comment #75)
> It'd be nice if your list contained version numbers unless in every single
> situation you're looking for the latest version in the tree to go stable.

At the moment, that's the goal. I want the latest versions to be _tested_. However, the real list for arch teams will have version numbers. I'm pretty sure the latest version of mesa (7.4) won't be on it and will be stabilized later.

Thanks
Comment 77 Tobias Klausmann gentoo-dev 2009-03-25 17:51:03 UTC
Alpha can't stabilize before there is a kernel fix for the pci resources. Such a patch exists, but the kernel maintainer for alpha hasn't submitted it. Yes, this is annoying, but we (the alpha team) can't do much more than what we've done already.
Comment 78 Tomáš Chvátal (RETIRED) gentoo-dev 2009-03-25 17:55:40 UTC
(In reply to comment #73)
> amd64, x11-drivers/xf86-video-ati-0.12.1, still random freezes. 
> 
> -> http://bugs.gentoo.org/show_bug.cgi?id=259991
> 

Hi, this bug is no showstopper, i tracked it down to EXAVsync enabled. And even upstream dont recomend using it. So simply put: unless you mess with your config you wont get freezes.
Comment 79 Rolf Prünte 2009-03-25 19:27:15 UTC
May I ask about the meta-package 'x11-base/xorg-x11'? Shouldn't that be included in the stable list too? I'm doing a fresh install right now using stabilization list v4 and noticed that the latest stable version of xorg-x11 is still 7.2.
Comment 80 Rémi Cardona gentoo-dev 2009-03-26 07:59:08 UTC
The meta-package is just that: a meta package. No need to change it now.

We need to clean it up anyway, since upstream dropped quite a few deps from their official Xorg list.

It'll come later on.
Comment 81 ubik15 2009-03-26 16:00:15 UTC
Sorry if this is the wrong place.
On my macbook I've my "\" and "<" keys swapped.

This issue could be resolved in older xorg-server using the "apple:badmap" XkbOption, but now (xorg-server-1.5.3-r5) adding "<merge key="input.x11_options.XkbOptions" type="strlist">apple:badmap</merge>" to my 10-x11-input.fdi file has no effects.

I'm pretty sure that in an older 1.5.3-r* the option worked fine, but I don't remember the precise version.

/var/log/Xorg.0.log report:

(**) Option "xkb_options" "apple:badmap"

and nothing else.
Comment 82 Arjan Schrijver 2009-03-26 16:13:24 UTC
After upgrading to 1.5.3, I've had some issues with font rendering. Some websites (in Firefox) and some emails (in Thunderbird) show these kind of bugs: http://anymore.nl/tmp/xorg_153_fonts.png
I've tried recompiling everying including GTK+ and Firefox, but it didn't help. Anyone recognizes this problem? Possibly something I did wrong or forgot to do?
Comment 83 Rémi Cardona gentoo-dev 2009-03-26 16:39:48 UTC
(In reply to comment #81)
> Sorry if this is the wrong place.

Indeed, this is not the right place, file a new bug.

(In reply to comment #82)
> Anyone recognizes this problem? Possibly something I did wrong or forgot to do?

So far, the one thing you did wrong was to high-jack this thread.

Please both of you open new bugs so we can fix your issues without bothering the 50+ people who are CCed on this bug.

Thanks
Comment 84 Michael Duelli 2009-03-26 17:31:48 UTC
Hi, I am using X.org 1.5r* since at least two weaks on a Dell Latitude D830 with xf86-video-intel-2.6.*.

It works pretty well, but I found two oddities:
- StatusBar in Firefox is filled completely black from time to time, but only for a short moment
- Diff viewing in Eclipse is sometimes unreadable due to strange artifacts which disappear when clicking inside the diff view
Possibly some graphic driver incompatibility problems?!

Another point is the new concept of using HAL which I appreciate but still was unable to find a straight forward tutorial, e.g. "how to convert from old to new X.org using HAL".

Does anybody know such a tutorial? I am currently missing my touchpad's synaptics functionality :-(
Comment 85 Nikolaj Šujskij 2009-03-26 18:40:02 UTC
Current x11.stable.list unmasks media-libs/mesa-7.4_rc1. That's a minor problem, I think.

(In reply to comment #84)

 See Gentoo Wiki for info, there's pretty full tutorial on Synaptics, with and without HAL.
 It's not a place for such complaints, I belive. Sorry.

> Another point is the new concept of using HAL which I appreciate but still was
> unable to find a straight forward tutorial, e.g. "how to convert from old to
> new X.org using HAL".
> Does anybody know such a tutorial? I am currently missing my touchpad's
> synaptics functionality :-(

Comment 86 Rémi Cardona gentoo-dev 2009-03-26 20:22:26 UTC
(In reply to comment #85)
> Current x11.stable.list unmasks media-libs/mesa-7.4_rc1. That's a minor
> problem, I think.

It's intended. 7.4 is a bugfix branch on top of 7.3. It has lots of patches, that's why I unmasked it. If I don't get many complaints, it'll go stable. If it causes trouble, 7.3-r1 will go stable instead.

Thanks
Comment 87 Martin Walch 2009-03-27 11:00:39 UTC
xf86-video-intel-2.6* breaks things for users of KDE 4 and G965 chipsets. The problem is fixed upstream in master and 2.7 branch:
http://bugs.freedesktop.org/show_bug.cgi?id=20527
Comment 88 Rémi Cardona gentoo-dev 2009-03-27 11:03:59 UTC
(In reply to comment #87)
> xf86-video-intel-2.6* breaks things for users of KDE 4 and G965 chipsets. The
> problem is fixed upstream in master and 2.7 branch:
> http://bugs.freedesktop.org/show_bug.cgi?id=20527

Please open a bug here and make it block this one so I don't forget to backport the patch into 2.6.3

Thanks :)
Comment 89 Dragos Delcea 2009-03-27 15:14:36 UTC
this is working here as well on a thinkpad T60 with a radeon mobility x1400 and radeonhd driver (the 1.2.4 ebuild)

had a bit of an issue with the new hal/keyboard layout stuff, the laptop has an uk keyboard, and whereas before I had "uk" as XkbLayout in xorg.conf, now I had to put "gb" in 10-x11-input.fdi

there's a difference in behaviour with regards to the chosen resolutions in dual monitor setup, and I would have thought that's a driver issue, except that I'm using the same driver/version as before; the new setup sucks less, but it's still not good, not sure whom I am supposed to open a bug to (radeonhd or x11 team).
Comment 90 Mike Limansky 2009-03-29 09:57:57 UTC
> It's intended. 7.4 is a bugfix branch on top of 7.3. It has lots of patches,
> that's why I unmasked it. If I don't get many complaints, it'll go stable. If
> it causes trouble, 7.3-r1 will go stable instead.

Hi Remi,

Mesa 7.4 was released on 27 of March. Did you have a chance to try it? As I see it's a bugfix release

BR, Mike.
Comment 91 Andreas Sturmlechner gentoo-dev 2009-03-29 12:01:15 UTC
(In reply to comment #90)
> Hi Remi,
> 
> Mesa 7.4 was released on 27 of March. Did you have a chance to try it? As I see
> it's a bugfix release
> 
> BR, Mike.
> 

To me, mesa-7.4_rc2 was a huge stability improvement - I didn't have any X restart or black screen at start since using it. kwin4 compositing with UXA on my Intel GM45 is stable now and running for hours. With mesa-7.4_rc1 every startup resembled a roulette, and X would reset by no particular logic.

I'm a bit ahead of the game though with 2.6.29, xorg-server-1.6.0 and KMS enabled, but I believe the problems with xf86-video-intel-2.6.x were UXA-related.
Comment 92 Pacho Ramos gentoo-dev 2009-03-29 12:31:36 UTC
You should open a different bug for your problem as, for example, mesa-7.4_rc behaves properly for me 
Comment 93 Andreas Sturmlechner gentoo-dev 2009-03-29 13:47:21 UTC
(In reply to comment #92)
> You should open a different bug for your problem as, for example, mesa-7.4_rc
> behaves properly for me 
> 

I don't think there's much point in opening a bug for a past rc release issue which has already been solved in the final version. But I wanted to share my mesa-7.4 experience and I think it's a very good idea to include it for stabilization. As a bugfix release it should solve more problems than introduce new ones.
Comment 94 Rémi Cardona gentoo-dev 2009-03-29 23:33:42 UTC
Created attachment 186696 [details]
Xorg Xserver 1.5.3 Stabilization List v5
Comment 95 Rémi Cardona gentoo-dev 2009-03-29 23:38:21 UTC
Created attachment 186698 [details]
Xorg Xserver 1.5.3 Stabilization List v5

Hi arches, this is the final list.

_Once_the_news_item_is_published_, please stabilize the latest available ebuild for each package in it except for mesa and xf86-input-evdev where specific versions are noted.

Thanks
Comment 96 Pacho Ramos gentoo-dev 2009-03-30 06:46:21 UTC
*** Bug 258419 has been marked as a duplicate of this bug. ***
Comment 97 Pacho Ramos gentoo-dev 2009-03-30 10:56:23 UTC
kde-misc/ksynaptics should be masked for removal (bug 237521). Thanks!
Comment 98 Mike Limansky 2009-03-30 11:09:11 UTC
Hi all

During the upgrade I've observed one issue. I use generic mouse driver. Just after upgrade it doesn't work (driver plugin cannot be loaded by xorg-server). The problem can be solved by reemerging of xf86-input-mouse (emerge -1 xf86-input-mouse). I think it can be related with the packages compilation order.

BR, Mike.
Comment 99 Piotr Szymaniak 2009-03-30 11:36:20 UTC
(In reply to comment #98)
> The problem can be solved by reemerging of xf86-input-mouse (emerge -1
> xf86-input-mouse). I think it can be related with the packages compilation
> order.

It's already in ewarn, people should really read this. (;
Comment 100 Rémi Cardona gentoo-dev 2009-03-30 15:00:22 UTC
Created attachment 186760 [details]
Xorg Xserver 1.5.3 Stabilization List v6

Arches, please stabilize this final list. (Yes, for real)

I've added a specific version on x11-proto/renderproto.

The upgrade guide url is here : http://www.gentoo.org/proj/en/desktop/x/x11/xorg-server-1.5-upgrade-guide.xml

Do your magic.

Thanks :)
Comment 101 Rémi Cardona gentoo-dev 2009-04-01 14:03:13 UTC
Created attachment 186984 [details]
Xorg Xserver 1.5.3 Stabilization List v6 with version numbers

At the request of rangerpb, here's the v6 list, sorted alphabetically and with proper version numbers.

Arch Teams, please proceed :)

Thanks
Comment 102 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-03 04:05:26 UTC
(In reply to comment #101)
> Created an attachment (id=186984) [edit]
> Xorg Xserver 1.5.3 Stabilization List v6 with version numbers
> 
> At the request of rangerpb, here's the v6 list, sorted alphabetically and with
> proper version numbers.
> 
> Arch Teams, please proceed :)
> 
> Thanks
> 

Hm, bake a fresh stable chroot. Put that list in package.keywords, emerge -av xorg-server, find missing deps:

=x11-drivers/xf86-video-voodoo-1.2.0
=x11-drivers/xf86-video-mach64-6.8.0
=x11-drivers/xf86-video-sis-0.10.0

You want those versions or newer on amd64?
Comment 103 Rémi Cardona gentoo-dev 2009-04-03 08:28:52 UTC
(In reply to comment #102)
> You want those versions or newer on amd64?

Go with the latest version that builds...

Thanks
Comment 104 Brent Baude (RETIRED) gentoo-dev 2009-04-03 14:46:19 UTC
ppc done; I marked the following stable (remember we use a subset of available input and video drivers)

media-libs/mesa-7.3-r1
x11-apps/mesa-progs-7.3
x11-apps/rgb-1.0.3
x11-apps/xauth-1.0.3
x11-apps/xev-1.0.3
x11-apps/xinit-1.0.8-r4
x11-apps/xkbcomp-1.0.5
x11-apps/xrandr-1.2.3
x11-apps/xvinfo-1.0.2
x11-base/xorg-server-1.5.3-r5
x11-drivers/linuxwacom-0.8.2
x11-drivers/xf86-input-acecad-1.3.0
x11-drivers/xf86-input-aiptek-1.2.0
x11-drivers/xf86-input-evdev-2.1.3
x11-drivers/xf86-input-joystick-1.4.0
x11-drivers/xf86-input-keyboard-1.3.2
x11-drivers/xf86-input-mouse-1.4.0
x11-drivers/xf86-input-synaptics-1.0.0
x11-drivers/xf86-input-tslib-0.0.5-r1
x11-drivers/xf86-input-void-1.2.0
x11-drivers/xf86-video-ati-6.12.1-r1
x11-drivers/xf86-video-chips-1.2.1
x11-drivers/xf86-video-dummy-0.3.1
x11-drivers/xf86-video-fbdev-0.4.0
x11-drivers/xf86-video-glint-1.2.2
x11-drivers/xf86-video-mga-1.4.9
x11-drivers/xf86-video-nv-2.1.12
x11-drivers/xf86-video-r128-6.8.0
x11-drivers/xf86-video-radeonhd-1.2.3
x11-drivers/xf86-video-savage-2.2.1
x11-drivers/xf86-video-tdfx-1.4.1
x11-drivers/xf86-video-trident-1.3.1
x11-drivers/xf86-video-xgi-1.5.0
x11-libs/libdrm-2.4.5
x11-libs/libpciaccess-0.10.5
x11-libs/libSM-1.1.0
x11-libs/libX11-1.1.5
x11-libs/libXau-1.0.4
x11-libs/libXaw-1.0.5
x11-libs/libXext-1.0.4
x11-libs/libXfont-1.3.4
x11-libs/libXft-2.1.13
x11-libs/libXi-1.2.1
x11-libs/libXinerama-1.0.3
x11-libs/libxkbfile-1.0.5
x11-libs/libXmu-1.0.4
x11-libs/libXrandr-1.2.3
x11-libs/libXrender-0.9.4
x11-libs/libXScrnSaver-1.1.3
x11-libs/libXv-1.0.4
x11-libs/libXxf86dga-1.0.2
x11-libs/libXxf86vm-1.0.2
x11-libs/pixman-0.14.0-r1
x11-libs/tslib-1.0-r1
x11-libs/xtrans-1.2.3
x11-misc/rendercheck-1.3
x11-misc/util-macros-1.2.1
x11-misc/xcompmgr-1.1.4
x11-misc/xinput-1.4.0
x11-misc/xkeyboard-config-1.5
x11-misc/xtermcontrol-2.9
x11-proto/dri2proto-1.99.3
x11-proto/glproto-1.4.9
x11-proto/inputproto-1.5.0
x11-proto/printproto-1.0.4
x11-proto/randrproto-1.2.2
x11-proto/renderproto-0.9.3
x11-proto/xextproto-7.0.4
x11-proto/xf86dgaproto-2.0.3
x11-proto/xf86driproto-2.0.4
x11-proto/xproto-7.0.14
x11-terms/xterm-242
x11-wm/twm-1.0.4
x11-proto/xcalibrateproto-0.1_pre20081210
x11-libs/libXCalibrate-0.1_pre20081207
Comment 105 Brent Baude (RETIRED) gentoo-dev 2009-04-03 14:47:10 UTC
ppc64 done: did the following:

media-libs/mesa-7.3-r1
x11-apps/mesa-progs-7.3
x11-apps/rgb-1.0.3
x11-apps/xauth-1.0.3
x11-apps/xev-1.0.3
x11-apps/xinit-1.0.8-r4
x11-apps/xkbcomp-1.0.5
x11-apps/xrandr-1.2.3
x11-base/xorg-server-1.5.3-r5
x11-drivers/linuxwacom-0.8.2
x11-drivers/xf86-input-acecad-1.3.0
x11-drivers/xf86-input-aiptek-1.2.0
x11-drivers/xf86-input-evdev-2.1.3
x11-drivers/xf86-input-joystick-1.4.0
x11-drivers/xf86-input-keyboard-1.3.2
x11-drivers/xf86-input-mouse-1.4.0
x11-drivers/xf86-input-synaptics-1.0.0
x11-drivers/xf86-input-tslib-0.0.5-r1
x11-drivers/xf86-input-void-1.2.0
x11-drivers/xf86-video-ati-6.12.1-r1
x11-drivers/xf86-video-dummy-0.3.1
x11-drivers/xf86-video-fbdev-0.4.0
x11-drivers/xf86-video-mga-1.4.9
x11-drivers/xf86-video-nv-2.1.12
x11-drivers/xf86-video-r128-6.8.0
x11-drivers/xf86-video-radeonhd-1.2.3
x11-drivers/xf86-video-xgi-1.5.0
x11-libs/libdrm-2.4.5
x11-libs/libpciaccess-0.10.5
x11-libs/libSM-1.1.0
x11-libs/libX11-1.1.5
x11-libs/libXau-1.0.4
x11-libs/libXaw-1.0.5
x11-libs/libXext-1.0.4
x11-libs/libXfont-1.3.4
x11-libs/libXft-2.1.13
x11-libs/libXi-1.2.1
x11-libs/libXinerama-1.0.3
x11-libs/libxkbfile-1.0.5
x11-libs/libXmu-1.0.4
x11-libs/libXrandr-1.2.3
x11-libs/libXrender-0.9.4
x11-libs/libXScrnSaver-1.1.3
x11-libs/libXv-1.0.4
x11-libs/libXxf86vm-1.0.2
x11-libs/pixman-0.14.0-r1
x11-libs/tslib-1.0-r1
x11-libs/xtrans-1.2.3
x11-misc/driconf-0.9.1
x11-misc/transset-0.1_pre20040821
x11-misc/util-macros-1.2.1
x11-misc/xcompmgr-1.1.4
x11-misc/xinput-1.4.0
x11-misc/xkeyboard-config-1.5
x11-proto/dri2proto-1.99.3
x11-proto/inputproto-1.5.0
x11-proto/printproto-1.0.4
x11-proto/randrproto-1.2.2
x11-proto/renderproto-0.9.3
x11-proto/xextproto-7.0.4
x11-proto/xf86driproto-2.0.4
x11-proto/xproto-7.0.14
x11-proto/xproxymanagementprotocol-1.0.2
x11-terms/xterm-242
x11-wm/twm-1.0.4
x11-proto/xcalibrateproto-0.1_pre20081210
x11-libs/libXCalibrate-0.1_pre20081207

Comment 106 Joe Jezak (RETIRED) gentoo-dev 2009-04-03 16:05:53 UTC
Removed ppc/ppc64 from the CC list.
Comment 107 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-04 07:00:51 UTC
(In reply to comment #103)
> (In reply to comment #102)
> > You want those versions or newer on amd64?
> 
> Go with the latest version that builds...
> 
> Thanks
> 

Ok, thx. 

"the list" and above mentioned packages (latest versions) all compile in a stable amd64 chroot. 

That is, "list v6 with version numbers" and:
=x11-drivers/xf86-video-voodoo-1.2.1
=x11-drivers/xf86-video-mach64-6.8.0
=x11-drivers/xf86-video-sis-0.10.1

Either maekke or Tester are going to mark these stable because I will not get to it this weekend for amd64.

aside, I hope the news item can get published *before* amd64 marks it stable ;)
Comment 108 Olivier Crete (RETIRED) gentoo-dev 2009-04-05 07:22:50 UTC
The list is incomplete.. A bunch of program in x11-apps/* has a built_with_use x11-libs/libXaw xprint, since the new libXaw no longer has xprint support, the -r1 versions of those packages should be added to the list too and stabilized. And ppc/ppc64 should be called back too..
Comment 109 Rémi Cardona gentoo-dev 2009-04-05 15:53:37 UTC
(In reply to comment #108)
> The list is incomplete..

Indeed, I'll complete the list ASAP, but please don't let this hold the stabilization back. It's been delayed long enough.

Thanks for the heads up
Comment 110 Rémi Cardona gentoo-dev 2009-04-05 16:14:50 UTC
@Arches who have not yet stabilized Xorg 1.5.3, please make sure to stabilize the X utilities in bug #264982 first.

Thank you :)
Comment 111 Olivier Crete (RETIRED) gentoo-dev 2009-04-05 18:34:45 UTC
Created attachment 187389 [details]
Xorg Xserver 1.5.3 Stabilization List v7 with version numbers

The previous list was incomplete, here is an updated one (as used for amd64)
Comment 112 Olivier Crete (RETIRED) gentoo-dev 2009-04-05 19:10:04 UTC
amd64 is done..
Comment 113 Carlo Marcelo Arenas Belon 2009-04-05 19:24:17 UTC
(In reply to comment #112)
> amd64 is done..

the following dependencies are still masked (some of them dependent of my hardware) while trying to emerge the recently unmasked ebuild in "amd64" :

x11-libs/libpciaccess ~amd64
x11-libs/libXrender ~amd64
x11-proto/xextproto ~amd64
x11-libs/libXau ~amd64
x11-proto/xproto ~amd64
x11-libs/libXext ~amd64
x11-proto/inputproto ~amd64
x11-misc/xkeyboard-config ~amd64
x11-libs/xtrans ~amd64
x11-libs/libX11 ~amd64
x11-proto/xf86driproto ~amd64
x11-libs/libXxf86vm ~amd64
x11-proto/randrproto ~amd64
x11-libs/libXfont ~amd64
x11-proto/renderproto ~amd64
x11-drivers/xf86-video-radeonhd ~amd64
x11-drivers/xf86-input-keyboard ~amd64
x11-drivers/xf86-video-mach64 ~amd64
x11-drivers/xf86-input-mouse ~amd64


Comment 114 Rémi Cardona gentoo-dev 2009-04-05 19:59:06 UTC
(In reply to comment #113)
> (In reply to comment #112)
> > amd64 is done..
> 
> the following dependencies are still masked (some of them dependent of my
> hardware) while trying to emerge the recently unmasked ebuild in "amd64" :

Sync again in an hour or two. CVS being what it is (ie, crap), it's very likely you didn't get all of the keyworded packages in one go.
Comment 115 Rafał Mużyło 2009-04-05 21:21:41 UTC
(In reply to comment #114)
> Sync again in an hour or two. CVS being what it is (ie, crap), it's very likely
> you didn't get all of the keyworded packages in one go.
> 
So, why didn't Gentoo move to something else ?  (yes, I know, completely off-topic here)
Comment 116 Friedrich Oslage (RETIRED) gentoo-dev 2009-04-05 21:25:11 UTC
> So, why didn't Gentoo move to something else ?  (yes, I know, completely
> off-topic here)

We are in the process of moving, see the gentoo-scm mailing list: http://archives.gentoo.org/gentoo-scm/

Comment 117 Markus Meier gentoo-dev 2009-04-05 22:51:56 UTC
x86 stable
Comment 118 Yang Zhao 2009-04-06 09:10:57 UTC
IIRC, xf86-video-radeonhd-1.2.3 contains a regression that causes r5xx-family radeon GPUs to freeze on suspend resume when DRI is enabled. No bug ticket upstream, but I was involved in discovering it.

The fix is in 1.2.4; I recommend all arches that plan to (or already did) mark a version of radeonhd stable do so for 1.2.4 only.
Comment 119 Friedrich Oslage (RETIRED) gentoo-dev 2009-04-06 20:54:47 UTC
sparc stable for:

=media-libs/mesa-7.3-r1
=x11-apps/mesa-progs-7.3
=x11-apps/rgb-1.0.3
=x11-apps/xauth-1.0.3
=x11-apps/xev-1.0.3
=x11-apps/xinit-1.0.8-r4
=x11-apps/xkbcomp-1.0.5
=x11-apps/xrandr-1.2.3
=x11-base/xorg-server-1.5.3-r5
=x11-drivers/xf86-input-acecad-1.3.0
=x11-drivers/xf86-input-aiptek-1.2.0
=x11-drivers/xf86-input-evdev-2.1.3
=x11-drivers/xf86-input-joystick-1.4.0
=x11-drivers/xf86-input-keyboard-1.3.2
=x11-drivers/xf86-input-mouse-1.4.0
=x11-drivers/xf86-input-void-1.2.0
=x11-drivers/xf86-video-ati-6.12.1-r1
=x11-drivers/xf86-video-mach64-6.8.0
=x11-drivers/xf86-video-r128-6.8.0
=x11-drivers/xf86-video-dummy-0.3.1
=x11-drivers/xf86-video-fbdev-0.4.0
=x11-drivers/xf86-video-mga-1.4.9
=x11-drivers/xf86-video-sunffb-1.2.0
=x11-drivers/xf86-video-tdfx-1.4.1
=x11-drivers/xf86-video-voodoo-1.2.1
=x11-libs/libdrm-2.4.5
=x11-libs/libpciaccess-0.10.5
=x11-libs/libSM-1.1.0
=x11-libs/libX11-1.1.5
=x11-libs/libXau-1.0.4
=x11-libs/libXaw-1.0.5
=x11-libs/libXext-1.0.4
=x11-libs/libXfont-1.3.4
=x11-libs/libXft-2.1.13
=x11-libs/libXi-1.2.1
=x11-libs/libXinerama-1.0.3
=x11-libs/libxkbfile-1.0.5
=x11-libs/libXmu-1.0.4
=x11-libs/libXrandr-1.2.3
=x11-libs/libXrender-0.9.4
=x11-libs/libXScrnSaver-1.1.3
=x11-libs/libXv-1.0.4
=x11-libs/libXxf86vm-1.0.2
=x11-libs/pixman-0.14.0-r1
=x11-libs/tslib-1.0-r1
=x11-libs/xtrans-1.2.3
=x11-misc/util-macros-1.2.1
=x11-misc/xcompmgr-1.1.4
=x11-misc/xinput-1.4.0
=x11-misc/xkeyboard-config-1.5
=x11-proto/dri2proto-1.99.3
=x11-proto/inputproto-1.5.0
=x11-proto/printproto-1.0.4
=x11-proto/randrproto-1.2.2
=x11-proto/renderproto-0.9.3
=x11-proto/xextproto-7.0.4
=x11-proto/xf86driproto-2.0.4
=x11-proto/xproto-7.0.14
=x11-terms/xterm-242
=x11-wm/twm-1.0.4
=x11-libs/libXCalibrate-0.1_pre20081207
=x11-proto/xcalibrateproto-0.1_pre20081210
=x11-drivers/xf86-input-mutouch-1.2.1
=x11-drivers/xf86-input-hyperpen-1.2.0
=x11-drivers/xf86-input-fpit-1.2.0
=x11-drivers/xf86-input-dynapro-1.1.2
=x11-drivers/xf86-input-summa-1.2.0
=x11-drivers/xf86-video-v4l-0.2.0
=x11-drivers/xf86-input-elographics-1.2.2
=x11-drivers/xf86-input-citron-2.2.1
=x11-drivers/xf86-video-sisusb-0.9.0
=x11-drivers/xf86-input-microtouch-1.2.0
=x11-drivers/xf86-input-jamstudio-1.2.0
=x11-drivers/xf86-input-tek4957-1.2.0
=x11-drivers/xf86-input-magellan-1.2.0
=x11-drivers/xf86-input-calcomp-1.1.2
=x11-drivers/xf86-input-elo2300-1.1.2
=x11-drivers/xf86-input-penmount-1.3.0
=x11-drivers/xf86-input-dmc-1.1.2
=x11-drivers/xf86-input-digitaledge-1.1.1
=x11-drivers/xf86-input-spaceorb-1.1.1
=x11-drivers/xf86-input-palmax-1.2.0
=x11-drivers/xf86-video-savage-2.2.1
=x11-drivers/xf86-video-glint-1.2.1
=x11-drivers/xf86-video-sunleo-1.2.0
=x11-drivers/xf86-input-tslib-0.0.5-r1

And I keyworded these ~sparc since they were not keyworded before:

=x11-misc/driconf-0.9.1
=x11-misc/rendercheck-1.3
=x11-misc/transset-0.1_pre20040821
=x11-misc/xtermcontrol-2.9

I'll mark them stable in 30 days, unless you think they are urgent (they have no rdeps)
Comment 120 Rémi Cardona gentoo-dev 2009-04-06 21:34:41 UTC
(In reply to comment #119)
> I'll mark them stable in 30 days, unless you think they are urgent (they have
> no rdeps)

Nah, 30 days is fine. It doesn't really matter. Do as you wish :)

Thanks!
Comment 121 Nick Fortino 2009-04-06 22:08:19 UTC
I think =net-misc/vnc-4.1.3-r2 stabilization needs to block this bug, as well as depend on it. ( bug 264897 ). The current stable vnc depends on ~x11-base/xorg-server-1.3.0.0, which results in a mess of blockers when trying to upgrade.
Comment 122 Raúl Porcel (RETIRED) gentoo-dev 2009-04-15 16:43:41 UTC
ia64/sh stable
Comment 123 Jeroen Roovers gentoo-dev 2009-04-16 07:28:15 UTC
Stable for HPPA. Looks like it's ready to be RESOLVED as FIXED.
Comment 124 Mike Limansky 2009-04-16 09:59:16 UTC
Hi all,

  When the metapackage xorg-x11 will be stabilized? It seems like there are no blocking issues to do it.

BR, Mike.
Comment 125 Rémi Cardona gentoo-dev 2009-04-19 10:49:43 UTC
Let's indeed close this bug FIXED now. We'll take care of alpha somewhere else.

Thanks to all who tested the stabilization list.

Cheers
Comment 126 Andrei Slavoiu 2009-04-22 19:52:52 UTC
(In reply to comment #125)
> Let's indeed close this bug FIXED now. We'll take care of alpha somewhere else.
What about ARM? ARM still has 1.3.0.0-r6 as the stable version.
Comment 127 Rémi Cardona gentoo-dev 2009-04-27 11:33:32 UTC
Indeed, I forgot about arm.

Let's just keep this bug closed, we'll just bother too many folks. We can open a new one for arm if needs be.

Thanks